Create Campaign Restriction
curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"restrictionTypeId": 123,
"limit": 123
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions"
payload = {
"restrictionTypeId": 123,
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({restrictionTypeId: 123, limit: 123})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictionType": {
"id": 123
},
"limit": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Create Campaign Restriction
Endpoint to create a campaign restriction.
POST
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
restrictions
Create Campaign Restriction
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the campaign.
Body
application/json
Response
Successful Response
Limit-based restrictions for a campaign.
The ID of the restriction.
The ID of the campaign.
The ID of the marketplace.
The type of restriction.
Show child attributes
Show child attributes
The limit of the restriction.
The creation date of the restriction.
The last update date of the restriction.
The status of the restriction.
Available options:
active, inactive Was this page helpful?
⌘I